# uMToken Union Reference

`#include <m_token.h>`

## Data Fields

sMToken_base | base
sMToken_value | value
sMToken_name | name
sMToken_dim | dim
sMToken_Unary | unary
sMToken_binary | binary

## Detailed Description

Generic token instances. Type of token determined by base descriptor in members. Base descriptor header available in all members through type punning.

See also:
  gen_tok()

## Field Documentation

sMToken_base uMToken::base

Base descriptor header.

sMToken_binary uMToken::binary

Binary node token.

sMToken_dim uMToken::dim

"dim" token

sMToken_name uMToken::name

"name" token.

sMToken_Unary uMToken::unary

Unary node token.

sMToken_value uMToken::value

"value" token.

The documentation for this union was generated from the following file:

- src/m_token.h